# SpatialData

Infrastructure for spatial omics data in Python.

```{eval-rst}
.. card:: Installation
    :link: installation
    :link-type: doc

    Learn how to install ``spatialdata``.

.. card:: API
    :link: api
    :link-type: doc

    Find a detailed documentation of ``spatialdata``.

.. card:: Tutorials
    :link: tutorials/notebooks/notebooks
    :link-type: doc

    Tutorials for ``spatialdata``.

.. card:: Datasets
    :link: tutorials/notebooks/datasets/README
    :link-type: doc

    NGFF datasets hosted in the cloud.

.. card:: Design document
    :link: design_doc
    :link-type: doc

    The design document of ``spatialdata``.

.. card:: Contributing
    :link: contributing
    :link-type: doc

    Learn how to contribute to ``spatialdata``.

```

```{toctree}
:hidden: true
:maxdepth: 1

installation.md
api.md
tutorials/notebooks/notebooks.md
tutorials/notebooks/datasets/README.md
design_doc.md
contributing.md
changelog.md
references.md
```
